# Interface SolidEdgesJson

The solid edge rendering configuration of a symbol layer. Edges of type solid are rendered in a single color, unaffected by scene lighting.

interface SolidEdgesJson {
color?: number[];
extensionLength?: number;
size?: number;
transparency?: number;
type: "solid";
}

#### Hierarchy

- EdgesJsonBase
  - SolidEdgesJson

#####
Index

### Properties

color?
extensionLength?
size?
transparency?
type

##
Properties

### `Optional` color

color?: number[]

Color is represented as a three or four-element array.

Inherited from EdgesJsonBase.color

### `Optional` extensionLength

extensionLength?: number

A size in points by which to extend edges beyond their original end points.

Inherited from EdgesJsonBase.extensionLength

### `Optional` size

size?: number

Edge size in points, positive only.

Inherited from EdgesJsonBase.size

### `Optional` transparency

transparency?: number

The value has to lie between 100 (full transparency) and 0 (full opacity).

Inherited from EdgesJsonBase.transparency

### type

type

The type of edge visualization. Value of this property must be solid.